'''
..
  $Id: proxy.py 97 2018-08-23 12:53:55Z pytools $
  
  OSGi python tools of the clazzes.org project
  http://www.clazzes.org
 
  Created: 07.04.2020
 
  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at
 
      http://www.apache.org/licenses/LICENSE-2.0
 
  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
'''

import sys

from clazzes.tools.logtools import configureStderr

def main(args=None):
    """The main routine."""
    if args is None:
        args = sys.argv[1:]

    debugModules = None

    if "--debug" in args:
        args.remove("--debug")
        debugModules = ["clazzes.osgitools"]
    
    configureStderr(debugNames=debugModules)
    
    from clazzes.osgitools.tool import run_tool
    run_tool(sys.argv[0],args)

if __name__ == "__main__":
    main()
